> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balance

> Retrieve wallet balance

## Path Parameters

<ParamField path="wallet_id" type="string" required>
  The unique identifier of the wallet
</ParamField>

## Query Parameters

<ParamField query="currency" type="string">
  Filter by specific currency (optional)
</ParamField>

## Request Example

```bash theme={null}
curl "https://api-production.fossapay.com/api/v1/wallets/wal_abc123/balance?currency=NGN" \
  -H "Authorization: Bearer fp_live_sk_xxxxxxxx"
```

```javascript theme={null}
const response = await fetch(
  'https://api-production.fossapay.com/api/v1/wallets/wal_abc123/balance?currency=NGN',
  {
    method: 'GET',
    headers: {
      Authorization: 'Bearer fp_live_sk_xxxxxxxx',
      'Content-Type': 'application/json'
    }
  }
);

if (!response.ok) {
  throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}

const balance = await response.json();
```

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": "success",
    "data": {
      "wallet_id": "wal_abc123",
      "balances": [
        {
          "currency": "NGN",
          "available_balance": 150000,
          "ledger_balance": 150000,
          "pending_balance": 0
        },
        {
          "currency": "USDT",
          "available_balance": 100.50,
          "ledger_balance": 100.50,
          "pending_balance": 0
        }
      ]
    }
  }
  ```
</ResponseExample>
